gnutls_x509_crq_verify(3)

NAME
gnutls_x509_crq_verify - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_verify(gnutls_x509_crq_t crq, unsigned int flags);

ARGUMENTS

gnutls_x509_crq_t crq
    is the crq to be verified

unsigned int flags
    Flags that may be used to change the verification algorithm. Use OR of the gnutls_certificate_verify_flags enumerations.

DESCRIPTION
This function will verify self signature in the certificate request and return its status.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, GNUTLS_E_PK_SIG_VERIFY_FAILED if verification failed, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.